xine-lib: mpeg_parser_s Struct Reference

xine-lib 1.2.12

Data Fields
mpeg_parser_s Struct Reference

`#include <ff_mpeg_parser.h>`

## Data Fields
uint8_t * | chunk_buffer
uint8_t * | chunk_ptr
uint8_t * | chunk_start
uint32_t | shift
int | buffer_size
uint8_t | code
uint8_t | picture_coding_type
uint8_t | is_sequence_needed:1
uint8_t | is_mpeg1:1
uint8_t | has_sequence:1
uint8_t | in_slice:1
uint8_t | rate_code:4
int | aspect_ratio_info
uint16_t | width
uint16_t | height
int | frame_duration
double | frame_aspect_ratio

## Field Documentation

## ◆ aspect_ratio_info

int mpeg_parser_s::aspect_ratio_info

Referenced by get_aspect_ratio(), mpeg_parser_reset(), and parse_chunk().

## ◆ buffer_size

int mpeg_parser_s::buffer_size

Referenced by mpeg_parser_decode_data(), and mpeg_parser_reset().

## ◆ chunk_buffer

uint8_t* mpeg_parser_s::chunk_buffer

Referenced by copy_chunk(), mpeg_parser_decode_data(), mpeg_parser_dispose(), mpeg_parser_init(), mpeg_parser_reset(), and parse_chunk().

## ◆ chunk_ptr

uint8_t* mpeg_parser_s::chunk_ptr

Referenced by copy_chunk(), mpeg_parser_decode_data(), mpeg_parser_reset(), and parse_chunk().

## ◆ chunk_start

uint8_t* mpeg_parser_s::chunk_start

Referenced by mpeg_parser_decode_data(), and mpeg_parser_reset().

## ◆ code

uint8_t mpeg_parser_s::code

Referenced by copy_chunk(), mpeg_parser_decode_data(), mpeg_parser_reset(), and parse_chunk().

## ◆ frame_aspect_ratio

double mpeg_parser_s::frame_aspect_ratio

Referenced by ff_handle_mpeg_sequence(), mpeg_parser_decode_data(), and mpeg_parser_reset().

## ◆ frame_duration

int mpeg_parser_s::frame_duration

Referenced by mpeg_parser_reset(), and parse_chunk().

## ◆ has_sequence

uint8_t mpeg_parser_s::has_sequence

Referenced by mpeg_parser_decode_data(), mpeg_parser_reset(), and parse_chunk().

## ◆ height

uint16_t mpeg_parser_s::height

Referenced by ff_handle_mpeg_sequence(), get_aspect_ratio(), mpeg_parser_reset(), and parse_chunk().

## ◆ in_slice

uint8_t mpeg_parser_s::in_slice

Referenced by mpeg_parser_reset(), and parse_chunk().

## ◆ is_mpeg1

uint8_t mpeg_parser_s::is_mpeg1

Referenced by get_aspect_ratio(), mpeg_parser_reset(), and parse_chunk().

## ◆ is_sequence_needed

uint8_t mpeg_parser_s::is_sequence_needed

Referenced by mpeg_parser_reset(), and parse_chunk().

## ◆ picture_coding_type

uint8_t mpeg_parser_s::picture_coding_type

Referenced by mpeg_parser_reset(), parse_chunk(), and parse_header_picture().

## ◆ rate_code

uint8_t mpeg_parser_s::rate_code

Referenced by mpeg_parser_reset(), and parse_chunk().

## ◆ shift

uint32_t mpeg_parser_s::shift

Referenced by copy_chunk(), and mpeg_parser_reset().

## ◆ width

uint16_t mpeg_parser_s::width

Referenced by ff_handle_mpeg_sequence(), get_aspect_ratio(), mpeg_parser_reset(), and parse_chunk().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/combined/ffmpeg/ff_mpeg_parser.h